Index: branches/ddl/DataConert/DataConert/DataConvertAuxiliary.cs
===================================================================
--- branches/ddl/DataConert/DataConert/DataConvertAuxiliary.cs	(revision 96)
+++ branches/ddl/DataConert/DataConert/DataConvertAuxiliary.cs	(revision 97)
@@ -2623,98 +2343,20 @@
                 strSQL = string.Format("TRUNCATE TABLE {0}", s_OracleTables[ino].Key);
                 OutDB.ExecuteNonQuery(strSQL, false);
 
+                List<ConstructionBaseInfo> BuffList = new List<ConstructionBaseInfo>();
                 int DataCnt = 0;
-                bool bColFirst = true;
-                bool bDataFirst = true;
                 while (DataCnt < getList.Count)
                 {
-                    bColFirst = true;
-                    strSQL = string.Format("INSERT INTO {0}", s_OracleTables[ino].Key);
-                    strSQL += " (";
-                    foreach (var gender in Enum.GetValues(typeof(ProcessManagement.MySQLDB.IOAccess.IOConstructionBaseInfo.TableColumn)))
-                    {
-                        if (!bColFirst) strSQL += ", ";
-                        strSQL += gender.ToString();
-                        bColFirst = false;
-                    }
-                    strSQL += ") VALUES";
+                    BuffList.Clear();
 
-                    bDataFirst = true;
-                    for (int i = 0; i < s_LoopCount; i++, DataCnt++)
+                    for (int ii = 0; ii < s_LoopCount; ii++, DataCnt++)
                     {
                         if (DataCnt >= getList.Count) break;
 
-                        ConstructionBaseInfo CurRec = getList[DataCnt];
-
-                        if (bDataFirst) strSQL += " (";
-                        else strSQL += ", (";
-
-                        strSQL += string.Format("  {0}", CurRec.ConstructionCode);
-                        strSQL += string.Format(", {0}", CurRec.TyingFlg);
-                        strSQL += string.Format(", {0}", CurRec.JoinFlg);
-                        strSQL += string.Format(", {0}", CurRec.ConstructionYear);
-                        strSQL += string.Format(", {0}", CurRec.ConstructionPeriod);
-
-                        strSQL += string.Format(", STR_TO_DATE('{0}','%Y/%m/%d')", CurRec.RequestedDate.ToShortDateString());
-                        strSQL += string.Format(", STR_TO_DATE('{0}','%Y/%m/%d')", CurRec.EstimatesSubmitDeadline.ToShortDateString());
-                        strSQL += string.Format(", STR_TO_DATE('{0}','%Y/%m/%d')", CurRec.EstimatesSubmittedDate.ToShortDateString());
-                        strSQL += string.Format(", STR_TO_DATE('{0}','%Y/%m/%d')", CurRec.ProvisionalOrderDate.ToShortDateString());
-                        strSQL += string.Format(", STR_TO_DATE('{0}','%Y/%m/%d')", CurRec.OrderDate.ToShortDateString());
-                        strSQL += string.Format(", STR_TO_DATE('{0}','%Y/%m/%d')", CurRec.OrderStartingDate.ToShortDateString());
-                        strSQL += string.Format(", STR_TO_DATE('{0}','%Y/%m/%d')", CurRec.OrderCompletionDate.ToShortDateString());
-                        strSQL += string.Format(", STR_TO_DATE('{0}','%Y/%m/%d')", CurRec.PreparationStartDate.ToShortDateString());
-                        strSQL += string.Format(", STR_TO_DATE('{0}','%Y/%m/%d')", CurRec.ConstructionStartingDate.ToShortDateString());
-                        strSQL += string.Format(", STR_TO_DATE('{0}','%Y/%m/%d')", CurRec.ConstructionCompletionDate.ToShortDateString());
-                        strSQL += string.Format(", STR_TO_DATE('{0}','%Y/%m/%d')", CurRec.NonOrderDate.ToShortDateString());
-
-                        strSQL += string.Format(", {0}", CurRec.OrdersDecisionPrice);
-                        strSQL += string.Format(", {0}", CurRec.OrdersDecisionPriceInTax);
-
-                        strSQL += string.Format(", {0}", CurRec.SalesPersonCode);
-                        strSQL += string.Format(", {0}", CurRec.ConstructionPersonCode);
-                        strSQL += string.Format(", {0}", CurRec.ConstrSubPersonCode);
-                        strSQL += string.Format(", {0}", CurRec.ConstructionInstructor);
-
-                        strSQL += string.Format(", {0}", CurRec.TransferConstruction);
-                        strSQL += string.Format(", STR_TO_DATE('{0}','%Y/%m/%d')", CurRec.TransferConstructionDate.ToShortDateString());
-
-                        strSQL += string.Format(", {0}", CurRec.OrderersDivision);
-                        strSQL += string.Format(", {0}", CurRec.OrderersCode);
-
-                        strSQL += string.Format(", STR_TO_DATE('{0}','%Y/%m/%d')", CurRec.EstimatesExpirationDate.ToShortDateString());
-                        strSQL += string.Format(", STR_TO_DATE('{0}','%Y/%m/%d')", CurRec.ConstructionPeriodStart.ToShortDateString());
-                        strSQL += string.Format(", STR_TO_DATE('{0}','%Y/%m/%d')", CurRec.ConstructionPeriodEnd.ToShortDateString());
-                        strSQL += string.Format(", STR_TO_DATE('{0}','%Y/%m/%d')", CurRec.ConstructionPeriodStart2.ToShortDateString());
-                        strSQL += string.Format(", STR_TO_DATE('{0}','%Y/%m/%d')", CurRec.ConstructionPeriodEnd2.ToShortDateString());
-                        strSQL += string.Format(", STR_TO_DATE('{0}','%Y/%m/%d')", CurRec.StartDate.ToShortDateString());
-                        strSQL += string.Format(", STR_TO_DATE('{0}','%Y/%m/%d')", CurRec.EndDate.ToShortDateString());
-                        strSQL += string.Format(", STR_TO_DATE('{0}','%Y/%m/%d')", CurRec.PurchaseOrderMailingDate.ToShortDateString());
-                        strSQL += string.Format(", STR_TO_DATE('{0}','%Y/%m/%d')", CurRec.PurchaseOrderReturnDate.ToShortDateString());
-                        strSQL += string.Format(", STR_TO_DATE('{0}','%Y/%m/%d')", CurRec.PurchaseOrderReturnCheckDate.ToShortDateString());
-
-                        strSQL += string.Format(", {0}", CurRec.ConsumptionTaxFlg);
-                        strSQL += string.Format(", {0}", CurRec.PrimeContractorFlg);
-                        strSQL += string.Format(", {0}", CurRec.SalesCostFlg);
-                        strSQL += string.Format(", {0}", CurRec.ConstructionStatusFlg);
-
-                        strSQL += string.Format(", {0}", CurRec.ConstructionType);
-                        strSQL += string.Format(", {0}", CurRec.EstimateType);
-
-                        strSQL += string.Format(", STR_TO_DATE('{0}','%Y/%m/%d')", CurRec.BillingStartDate.ToShortDateString());
-                        strSQL += string.Format(", STR_TO_DATE('{0}','%Y/%m/%d')", CurRec.BillingDate.ToShortDateString());
-                        strSQL += string.Format(", {0}", CurRec.BillingSplitFlg);
-                        strSQL += string.Format(", STR_TO_DATE('{0}','%Y/%m/%d')", CurRec.BillingSendDate.ToShortDateString());
-                        strSQL += string.Format(", STR_TO_DATE('{0}','%Y/%m/%d')", CurRec.LedgerComplateDate.ToShortDateString());
-
-                        strSQL += string.Format(", STR_TO_DATE('{0}','%Y/%m/%d %H:%i:%s')", CurRec.EntryDate);
-                        strSQL += string.Format(", STR_TO_DATE('{0}','%Y/%m/%d %H:%i:%s')", CurRec.UpdateDate);
-
-                        strSQL += ")";
-
-                        bDataFirst = false;
+                        BuffList.Add(getList[DataCnt]);
                     }
 
-                    if (!OutDB.ExecuteNonQuery(strSQL, false))
+                    if (!OutDB.InsertAction(BuffList, false))
                     {
                         OutDB.rollback();
                         strMsg += "　ＤＢ処理異常";
@@ -2721,6 +2363,7 @@
                         return false;
                     }
                 }
+
                 strMsg += string.Format("　処理件数={0}", DataCnt.ToString("#,0"));
 
                 return true;
@@ -2751,7 +2394,7 @@
         private bool CnvConstructionbaseinfodetail(int ino, ref string strMsg)
         {
             ProcessManagement.OracleDB.IOAccess.IOConstructionBaseInfoDetail InDB = new ProcessManagement.OracleDB.IOAccess.IOConstructionBaseInfoDetail();
-            ProcessManagement.MySQLDB.IOAccess.IOConstructionBaseInfoDetail OutDB = new ProcessManagement.MySQLDB.IOAccess.IOConstructionBaseInfoDetail();
+            ProcessManagement.DB.IOAccess.IOConstructionBaseInfoDetail OutDB = new ProcessManagement.DB.IOAccess.IOConstructionBaseInfoDetail();
             strMsg = string.Format("№{0}：テーブル:{1}({2})", (ino + 1).ToString("00"), s_OracleTables[ino].Value, s_OracleTables[ino].Key);
             try
             {
@@ -2765,45 +2408,20 @@
                 strSQL = string.Format("TRUNCATE TABLE {0}", s_OracleTables[ino].Key);
                 OutDB.ExecuteNonQuery(strSQL, false);
 
+                List<ConstructionBaseInfoDetail> BuffList = new List<ConstructionBaseInfoDetail>();
                 int DataCnt = 0;
-                bool bColFirst = true;
-                bool bDataFirst = true;
                 while (DataCnt < getList.Count)
                 {
-                    bColFirst = true;
-                    strSQL = string.Format("INSERT INTO {0}", s_OracleTables[ino].Key);
-                    strSQL += " (";
-                    foreach (var gender in Enum.GetValues(typeof(ProcessManagement.MySQLDB.IOAccess.IOConstructionBaseInfoDetail.TableColumn)))
-                    {
-                        if (!bColFirst) strSQL += ", ";
-                        strSQL += gender.ToString();
-                        bColFirst = false;
-                    }
-                    strSQL += ") VALUES";
+                    BuffList.Clear();
 
-                    bDataFirst = true;
-                    for (int i = 0; i < s_LoopCount; i++, DataCnt++)
+                    for (int ii = 0; ii < s_LoopCount; ii++, DataCnt++)
                     {
                         if (DataCnt >= getList.Count) break;
 
-                        ConstructionBaseInfoDetail CurRec = getList[DataCnt];
-
-                        if (bDataFirst) strSQL += " (";
-                        else strSQL += ", (";
-
-                        strSQL += string.Format("  {0}", CurRec.ConstructionCode);
-                        strSQL += string.Format(", {0}", CurRec.DetailNo);
-                        strSQL += string.Format(",'{0}'", CurRec.DetailString);
-
-                        strSQL += string.Format(", STR_TO_DATE('{0}','%Y/%m/%d %H:%i:%s')", CurRec.EntryDate);
-                        strSQL += string.Format(", STR_TO_DATE('{0}','%Y/%m/%d %H:%i:%s')", CurRec.UpdateDate);
-
-                        strSQL += ")";
-
-                        bDataFirst = false;
+                        BuffList.Add(getList[DataCnt]);
                     }
 
-                    if (!OutDB.ExecuteNonQuery(strSQL, false))
+                    if (!OutDB.InsertAction(BuffList, false))
                     {
                         OutDB.rollback();
                         strMsg += "　ＤＢ処理異常";
@@ -2810,6 +2428,7 @@
                         return false;
                     }
                 }
+
                 strMsg += string.Format("　処理件数={0}", DataCnt.ToString("#,0"));
 
                 return true;
@@ -2840,7 +2459,7 @@
         private bool CnvConstructionbudget(int ino, ref string strMsg)
         {
             ProcessManagement.OracleDB.IOAccess.IOConstructionBudget InDB = new ProcessManagement.OracleDB.IOAccess.IOConstructionBudget();
-            ProcessManagement.MySQLDB.IOAccess.IOConstructionBudget OutDB = new ProcessManagement.MySQLDB.IOAccess.IOConstructionBudget();
+            ProcessManagement.DB.IOAccess.IOConstructionBudget OutDB = new ProcessManagement.DB.IOAccess.IOConstructionBudget();
             strMsg = string.Format("№{0}：テーブル:{1}({2})", (ino + 1).ToString("00"), s_OracleTables[ino].Value, s_OracleTables[ino].Key);
             try
             {
@@ -2854,71 +2473,20 @@
                 strSQL = string.Format("TRUNCATE TABLE {0}", s_OracleTables[ino].Key);
                 OutDB.ExecuteNonQuery(strSQL, false);
 
+                List<ConstructionBudget> BuffList = new List<ConstructionBudget>();
                 int DataCnt = 0;
-                bool bColFirst = true;
-                bool bDataFirst = true;
                 while (DataCnt < getList.Count)
                 {
-                    bColFirst = true;
-                    strSQL = string.Format("INSERT INTO {0}", s_OracleTables[ino].Key);
-                    strSQL += " (";
-                    foreach (var gender in Enum.GetValues(typeof(ProcessManagement.MySQLDB.IOAccess.IOConstructionBudget.TableColumn)))
-                    {
-                        if (!bColFirst) strSQL += ", ";
-                        strSQL += gender.ToString();
-                        bColFirst = false;
-                    }
-                    strSQL += ") VALUES";
+                    BuffList.Clear();
 
-                    bDataFirst = true;
-                    for (int i = 0; i < s_LoopCount; i++, DataCnt++)
+                    for (int ii = 0; ii < s_LoopCount; ii++, DataCnt++)
                     {
                         if (DataCnt >= getList.Count) break;
 
-                        ConstructionBudget CurRec = getList[DataCnt];
-
-                        if (bDataFirst) strSQL += " (";
-                        else strSQL += ", (";
-
-                        strSQL += string.Format("  {0}", CurRec.ConstructionCode);                // 工事番号
-
-                        strSQL += string.Format(", {0}", CurRec.CreatorCode);                     // 作成者コード
-                        strSQL += string.Format(",'{0}'", CurRec.CreatorName);                    // 作成者名
-                        strSQL += string.Format(", {0}", CurRec.CreatorCosts);                    // 作成者給与
-
-                        strSQL += string.Format(", {0}", CurRec.AssistantCode);                   // 副担当者コード
-                        strSQL += string.Format(",'{0}'", CurRec.AssistantName);                  // 副担当者名
-                        strSQL += string.Format(", {0}", CurRec.AssistantCosts);                  // 副担当者給与
-
-                        strSQL += string.Format(", {0}", CurRec.InstructorCode);                  // 工事指導員コード
-                        strSQL += string.Format(",'{0}'", CurRec.InstructorName);                 // 工事指導員名
-                        strSQL += string.Format(", {0}", CurRec.InstructorCosts);                 // 工事指導員給与
-
-                        strSQL += string.Format(", STR_TO_DATE('{0}','%Y/%m/%d')",
-                                                CurRec.CreateDate.ToShortDateString());           // 作成日
-                        strSQL += string.Format(", {0}", CurRec.ConstructionTimes);               // 工期（単位・月）
-                        strSQL += string.Format(", STR_TO_DATE('{0}','%Y/%m/%d')",
-                                                CurRec.ConstructionStart.ToShortDateString());    // 契約工期開始
-                        strSQL += string.Format(", STR_TO_DATE('{0}','%Y/%m/%d')",
-                                                CurRec.ConstructionEnd.ToShortDateString());      // 契約工期完了
-
-                        strSQL += string.Format(", {0}", CurRec.InstructorTimes);                 // 指導員稼働月数
-                        strSQL += string.Format(", {0}", CurRec.SalaryFlg);                       // 給与振分区分
-                        strSQL += string.Format(", {0}", CurRec.SalaryDays);                      // 振分日数
-                        strSQL += string.Format(", {0}", CurRec.A_SalaryFlg);                     // 副担当者給与振分区分
-                        strSQL += string.Format(", {0}", CurRec.A_SalaryDays);                    // 副担当者振分日数
-                        strSQL += string.Format(", {0}", CurRec.I_SalaryFlg);                     // 指導員給与振分区分
-                        strSQL += string.Format(", {0}", CurRec.I_SalaryDays);                    // 指導員振分日数
-
-                        strSQL += string.Format(", STR_TO_DATE('{0}','%Y/%m/%d %H:%i:%s')", CurRec.EntryDate);
-                        strSQL += string.Format(", STR_TO_DATE('{0}','%Y/%m/%d %H:%i:%s')", CurRec.UpdateDate);
-
-                        strSQL += ")";
-
-                        bDataFirst = false;
+                        BuffList.Add(getList[DataCnt]);
                     }
 
-                    if (!OutDB.ExecuteNonQuery(strSQL, false))
+                    if (!OutDB.InsertAction(BuffList, false))
                     {
                         OutDB.rollback();
                         strMsg += "　ＤＢ処理異常";
@@ -2925,6 +2493,7 @@
                         return false;
                     }
                 }
+
                 strMsg += string.Format("　処理件数={0}", DataCnt.ToString("#,0"));
 
                 return true;
@@ -2955,7 +2524,7 @@
         private bool CnvConstructionbudgetdetail(int ino, ref string strMsg) 
         {
             ProcessManagement.OracleDB.IOAccess.IOConstructionBudgetDetail InDB = new ProcessManagement.OracleDB.IOAccess.IOConstructionBudgetDetail();
-            ProcessManagement.MySQLDB.IOAccess.IOConstructionBudgetDetail OutDB = new ProcessManagement.MySQLDB.IOAccess.IOConstructionBudgetDetail();
+            ProcessManagement.DB.IOAccess.IOConstructionBudgetDetail OutDB = new ProcessManagement.DB.IOAccess.IOConstructionBudgetDetail();
             strMsg = string.Format("№{0}：テーブル:{1}({2})", (ino + 1).ToString("00"), s_OracleTables[ino].Value, s_OracleTables[ino].Key);
             try
             {
@@ -2969,58 +2538,20 @@
                 strSQL = string.Format("TRUNCATE TABLE {0}", s_OracleTables[ino].Key);
                 OutDB.ExecuteNonQuery(strSQL, false);
 
+                List<ConstructionBudgetDetail> BuffList = new List<ConstructionBudgetDetail>();
                 int DataCnt = 0;
-                bool bColFirst = true;
-                bool bDataFirst = true;
                 while (DataCnt < getList.Count)
                 {
-                    bColFirst = true;
-                    strSQL = string.Format("INSERT INTO {0}", s_OracleTables[ino].Key);
-                    strSQL += " (";
-                    foreach (var gender in Enum.GetValues(typeof(ProcessManagement.MySQLDB.IOAccess.IOConstructionBudgetDetail.TableColumn)))
-                    {
-                        if (!bColFirst) strSQL += ", ";
-                        strSQL += gender.ToString();
-                        bColFirst = false;
-                    }
-                    strSQL += ") VALUES";
+                    BuffList.Clear();
 
-                    bDataFirst = true;
-                    for (int i = 0; i < s_LoopCount; i++, DataCnt++)
+                    for (int ii = 0; ii < s_LoopCount; ii++, DataCnt++)
                     {
                         if (DataCnt >= getList.Count) break;
 
-                        ConstructionBudgetDetail CurRec = getList[DataCnt];
-
-                        if (bDataFirst) strSQL += " (";
-                        else strSQL += ", (";
-
-                        strSQL += string.Format("  {0}", CurRec.ConstructionCode);                // 工事番号
-                        strSQL += string.Format(", {0}", CurRec.GroupCount);              // グループ番号
-                        strSQL += string.Format(", {0}", CurRec.LineCount);               // 行番号
-                        strSQL += string.Format(", {0}", CurRec.ComponentCode);           // 構成キー
-                        strSQL += string.Format(", {0}", CurRec.ItemCode);		        // 工種キー
-                        strSQL += string.Format(",'{0}'", CurRec.FirstString);            // 項目名称
-                        strSQL += string.Format(",'{0}'", CurRec.SecondString);           // 工事内容
-                        strSQL += string.Format(", {0}", CurRec.CompanyType);             // 協力会社コードタイプ
-                        strSQL += string.Format(", {0}", CurRec.CompanyCode);             // 協力会社コード
-                        strSQL += string.Format(",'{0}'", CurRec.CompanyName);            // 協力会社名称
-                        strSQL += string.Format(", {0}", CurRec.EstimatePrice);           // 見積時金額
-                        strSQL += string.Format(", {0}", CurRec.NegotiationPrice);        // 交渉時金額
-                        strSQL += string.Format(", {0}", CurRec.OrderDesiredAmount);      // 発注希望金額
-                        strSQL += string.Format(", {0}", CurRec.ExecutionAmount);         // 実行金額
-                        strSQL += string.Format(", {0}", CurRec.AmountConfigRate);        // 金額構成率
-                        strSQL += string.Format(", {0}", CurRec.NegotiateFlg);            // 協力業者交渉フラグ
-
-                        strSQL += string.Format(", STR_TO_DATE('{0}','%Y/%m/%d %H:%i:%s')", CurRec.EntryDate);
-                        strSQL += string.Format(", STR_TO_DATE('{0}','%Y/%m/%d %H:%i:%s')", CurRec.UpdateDate);
-
-                        strSQL += ")";
-
-                        bDataFirst = false;
+                        BuffList.Add(getList[DataCnt]);
                     }
 
-                    if (!OutDB.ExecuteNonQuery(strSQL, false))
+                    if (!OutDB.InsertAction(BuffList, false))
                     {
                         OutDB.rollback();
                         strMsg += "　ＤＢ処理異常";
@@ -3027,6 +2558,7 @@
                         return false;
                     }
                 }
+
                 strMsg += string.Format("　処理件数={0}", DataCnt.ToString("#,0"));
 
                 return true;
@@ -3057,7 +2589,7 @@
         private bool CnvConstructionitemmaster(int ino, ref string strMsg)
         {
             ProcessManagement.OracleDB.IOAccess.IOMConstructionItem InDB = new ProcessManagement.OracleDB.IOAccess.IOMConstructionItem();
-            ProcessManagement.MySQLDB.IOAccess.IOMConstructionItem OutDB = new ProcessManagement.MySQLDB.IOAccess.IOMConstructionItem();
+            ProcessManagement.DB.IOAccess.IOMConstructionItem OutDB = new ProcessManagement.DB.IOAccess.IOMConstructionItem();
             strMsg = string.Format("№{0}：テーブル:{1}({2})", (ino + 1).ToString("00"), s_OracleTables[ino].Value, s_OracleTables[ino].Key);
             try
             {
@@ -3071,48 +2603,20 @@
                 strSQL = string.Format("TRUNCATE TABLE {0}", s_OracleTables[ino].Key);
                 OutDB.ExecuteNonQuery(strSQL, false);
 
+                List<ConstructionItemMaster> BuffList = new List<ConstructionItemMaster>();
                 int DataCnt = 0;
-                bool bColFirst = true;
-                bool bDataFirst = true;
                 while (DataCnt < getList.Count)
                 {
-                    bColFirst = true;
-                    strSQL = string.Format("INSERT INTO {0}", s_OracleTables[ino].Key);
-                    strSQL += " (";
-                    foreach (var gender in Enum.GetValues(typeof(ProcessManagement.MySQLDB.IOAccess.IOMConstructionItem.NameColumn)))
-                    {
-                        if (!bColFirst) strSQL += ", ";
-                        strSQL += gender.ToString();
-                        bColFirst = false;
-                    }
-                    strSQL += ") VALUES";
+                    BuffList.Clear();
 
-                    bDataFirst = true;
-                    for (int i = 0; i < s_LoopCount; i++, DataCnt++)
+                    for (int ii = 0; ii < s_LoopCount; ii++, DataCnt++)
                     {
                         if (DataCnt >= getList.Count) break;
 
-                        ConstructionItemMaster CurRec = getList[DataCnt];
-
-                        if (bDataFirst) strSQL += " (";
-                        else strSQL += ", (";
-
-                        strSQL += string.Format("  {0}", CurRec.ItemCode.ToString());
-                        strSQL += string.Format(", {0}", CurRec.DisplayOrder.ToString());
-                        strSQL += string.Format(", '{0}'", CurRec.ItemName);
-                        strSQL += string.Format(", {0}", CurRec.SubitemsFlg.ToString());
-                        strSQL += string.Format(", {0}", CurRec.MyExpensesFlg.ToString());
-                        strSQL += string.Format(", {0}", CurRec.DeleteFlg.ToString());
-
-                        strSQL += string.Format(", STR_TO_DATE('{0}','%Y/%m/%d %H:%i:%s')", CurRec.EntryDate);
-                        strSQL += string.Format(", STR_TO_DATE('{0}','%Y/%m/%d %H:%i:%s')", CurRec.UpdateDate);
-
-                        strSQL += ")";
-
-                        bDataFirst = false;
+                        BuffList.Add(getList[DataCnt]);
                     }
 
-                    if (!OutDB.ExecuteNonQuery(strSQL, false))
+                    if (!OutDB.InsertAction(BuffList, false))
                     {
                         OutDB.rollback();
                         strMsg += "　ＤＢ処理異常";
@@ -3119,6 +2623,7 @@
                         return false;
                     }
                 }
+
                 strMsg += string.Format("　処理件数={0}", DataCnt.ToString("#,0"));
 
                 return true;
@@ -3149,7 +2654,7 @@
         private bool CnvConstructionledger(int ino, ref string strMsg)
         {
             ProcessManagement.OracleDB.IOAccess.IOConstructionLedger InDB = new ProcessManagement.OracleDB.IOAccess.IOConstructionLedger();
-            ProcessManagement.MySQLDB.IOAccess.IOConstructionLedger OutDB = new ProcessManagement.MySQLDB.IOAccess.IOConstructionLedger();
+            ProcessManagement.DB.IOAccess.IOConstructionLedger OutDB = new ProcessManagement.DB.IOAccess.IOConstructionLedger();
             strMsg = string.Format("№{0}：テーブル:{1}({2})", (ino + 1).ToString("00"), s_OracleTables[ino].Value, s_OracleTables[ino].Key);
             try
             {
@@ -3163,65 +2668,20 @@
                 strSQL = string.Format("TRUNCATE TABLE {0}", s_OracleTables[ino].Key);
                 OutDB.ExecuteNonQuery(strSQL, false);
 
+                List<ConstructionLedger> BuffList = new List<ConstructionLedger>();
                 int DataCnt = 0;
-                bool bColFirst = true;
-                bool bDataFirst = true;
                 while (DataCnt < getList.Count)
                 {
-                    bColFirst = true;
-                    strSQL = string.Format("INSERT INTO {0}", s_OracleTables[ino].Key);
-                    strSQL += " (";
-                    foreach (var gender in Enum.GetValues(typeof(ProcessManagement.MySQLDB.IOAccess.IOConstructionLedger.TableColumn)))
-                    {
-                        if (!bColFirst) strSQL += ", ";
-                        strSQL += gender.ToString();
-                        bColFirst = false;
-                    }
-                    strSQL += ") VALUES";
+                    BuffList.Clear();
 
-                    bDataFirst = true;
-                    for (int i = 0; i < s_LoopCount; i++, DataCnt++)
+                    for (int ii = 0; ii < s_LoopCount; ii++, DataCnt++)
                     {
                         if (DataCnt >= getList.Count) break;
 
-                        ConstructionLedger CurRec = getList[DataCnt];
-
-                        if (bDataFirst) strSQL += " (";
-                        else strSQL += ", (";
-
-                        strSQL += string.Format("  {0}", CurRec.ConstructionCode);                // 工事番号
-
-                        strSQL += string.Format(", {0}", CurRec.ConstructionPeriod);              // 事業期
-                        strSQL += string.Format(", {0}", CurRec.CreatorCode);                     // 作成者コード
-                        strSQL += string.Format(",'{0}'", CurRec.CreatorName);                    // 作成者名
-                        strSQL += string.Format(", STR_TO_DATE('{0}','%Y/%m/%d')",
-                                                CurRec.CreateDate.ToShortDateString());           // 作成日
-                        strSQL += string.Format(", {0}", CurRec.ConstructionTimes);               // 工期（単位・月）
-                        strSQL += string.Format(", STR_TO_DATE('{0}','%Y/%m/%d')",
-                                                CurRec.ConstructionStart.ToShortDateString());    // 契約工期開始
-                        strSQL += string.Format(", STR_TO_DATE('{0}','%Y/%m/%d')",
-                                                CurRec.ConstructionEnd.ToShortDateString());      // 契約工期完了
-
-                        strSQL += string.Format(",{0}", CurRec.OrdersDecisionPrice);              // 税抜受注決定金額
-                        strSQL += string.Format(",{0}", CurRec.CompanyExpenses);                  // 会社経費合計
-                        strSQL += string.Format(",{0}", CurRec.DepartmentExpenses);               // 部署経費合計
-                        strSQL += string.Format(",{0}", CurRec.SalesExpenses);                    // 営業経費合計
-                        strSQL += string.Format(",{0}", CurRec.TotalPayment);                     // 総支払額
-                        strSQL += string.Format(",{0}", CurRec.GrossProfit);                      // 粗利
-                        strSQL += string.Format(",{0}", CurRec.Allowance);                        // 給与
-                        strSQL += string.Format(",{0}", CurRec.NetProfit);                        // 純利益
-                        strSQL += string.Format(",{0}", CurRec.ComplateFlg);                      // 入力完了フラグ
-                        strSQL += string.Format(",{0}", CurRec.IntegrationFlg);                   // 受注金額積算フラグ
-
-                        strSQL += string.Format(", STR_TO_DATE('{0}','%Y/%m/%d %H:%i:%s')", CurRec.EntryDate);
-                        strSQL += string.Format(", STR_TO_DATE('{0}','%Y/%m/%d %H:%i:%s')", CurRec.UpdateDate);
-
-                        strSQL += ")";
-
-                        bDataFirst = false;
+                        BuffList.Add(getList[DataCnt]);
                     }
 
-                    if (!OutDB.ExecuteNonQuery(strSQL, false))
+                    if (!OutDB.InsertAction(BuffList, false))
                     {
                         OutDB.rollback();
                         strMsg += "　ＤＢ処理異常";
@@ -3228,6 +2688,7 @@
                         return false;
                     }
                 }
+
                 strMsg += string.Format("　処理件数={0}", DataCnt.ToString("#,0"));
 
                 return true;
@@ -3258,7 +2719,7 @@
         private bool CnvConstructionledgerdetail(int ino, ref string strMsg)
         {
             ProcessManagement.OracleDB.IOAccess.IOConstructionLedgerDetail InDB = new ProcessManagement.OracleDB.IOAccess.IOConstructionLedgerDetail();
-            ProcessManagement.MySQLDB.IOAccess.IOConstructionLedgerDetail OutDB = new ProcessManagement.MySQLDB.IOAccess.IOConstructionLedgerDetail();
+            ProcessManagement.DB.IOAccess.IOConstructionLedgerDetail OutDB = new ProcessManagement.DB.IOAccess.IOConstructionLedgerDetail();
             strMsg = string.Format("№{0}：テーブル:{1}({2})", (ino + 1).ToString("00"), s_OracleTables[ino].Value, s_OracleTables[ino].Key);
             try
             {
